<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li ><a href="{:url('Gift/index')}">{:lang('GIFT_LIST')}</a></li>
			<li class="active"><a >{:lang('ADD')}</a></li>
		</ul>
		<form method="post" class="form-horizontal js-ajax-form margin-top-20" action="{:url('Gift/addPost')}">

            <div class="form-group">
				<label for="input-type" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('TYPE')}</label>
				<div class="col-md-6 col-sm-10" id="type">
                    <volist name="type" id="v">
					<label class="radio-inline"><input type="radio" name="type" value="{$key}" <if condition="$i eq 1">checked</if>>{$v}</label>
                    </volist>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-mark" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('IDENTIFIER')}</label>
				<div class="col-md-6 col-sm-10" id="mark" style="position: relative;">
                    <volist name="mark" id="v">
					<label class="radio-inline" for="mark_{$key}"><input type="radio" name="mark" value="{$key}" id="mark_{$key}" <if condition="$i eq 1">checked</if>>{$v}</label>
                    </volist>
                    <div id="tips" style="position: absolute;left: 450px;top: 0;display:none;">
                        <span style="color:#ff0000">{:lang('LUCKY_GIFT_DESCRIPTION')}</span><br>
                        {:lang('LUCKY_GIFT_DESCRIPTION_CONTENT')}
                    </div>
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-giftname" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('CHINESE_NAME')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-giftname" name="giftname" style="width:300px;">
				</div>
			</div>

            <div class="form-group">
                <label for="input-giftname_en" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ENGLISH_NAME')}</label>
                <div class="col-md-6 col-sm-10">
                    <input type="text" class="form-control" id="input-giftname_en" name="giftname_en" style="width:300px;">
                </div>
            </div>
            
            <div class="form-group">
				<label for="input-needcoin" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('PRICE')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-needcoin" name="needcoin" style="width:300px;">
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-user_login" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('IMAGE')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="hidden" name="gifticon" id="thumbnail" value="">
                    <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail');">
                        <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                 id="thumbnail-preview"
                                 style="cursor: pointer;max-width:100px;max-height:100px;"/>
                    </a>
                    <input type="button" class="btn btn-sm btn-cancel-thumbnail" value="{:lang('REMOVE_IMAGE')}"> 
                    <p class="help-block">{:lang('RECOMMENDED_DIMENSIONS', ['width' => '50', 'height' => '50'])} {:lang('TOO_LARGE_CAN_CAUSE_ISSUES_SUCH_AS_SLOW_IMAGE_LOADING')}</p>
				</div>
			</div>
            
			<div id="swf_area" style="display: none;">
			
            <div class="form-group">
				<label for="input-swftype" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('ANIMATION_TYPE')}</label>
				<div class="col-md-6 col-sm-10" id="swftype">
                    <volist name="swftype" id="v">
					<label class="radio-inline"><input type="radio" name="swftype" value="{$key}" <if condition="$i eq 1">checked</if>>{$v}</label>
                    </volist>
				</div>
			</div>
            
            <div class="form-group" id="">
				<label for="input-gif" class="col-sm-2 control-label">GIF {:lang('IMAGE')}</label>
				<div class="col-md-6 col-sm-10">
                    <div id="swftype_bd_0">
                        <input type="hidden" name="gif" id="thumbnail2" value="">
                        <a href="javascript:uploadOneImage('{:lang('UPLOAD_IMAGE')}','#thumbnail2');">
                            <img src="__TMPL__/public/assets/images/default-thumbnail.png"
                                     id="thumbnail2-preview"
                                     style="cursor: pointer;max-width:100px;max-height:100px;"/>
                        </a>
                        <input type="button" class="btn btn-sm btn-cancel-thumbnail2" value="{:lang('REMOVE_IMAGE')}"> 
                        <p class="help-block">{:lang('RECOMMENDED_DIMENSIONS', ['width' => '200', 'height' => '200'])}</p>
                    </div>
                    <div id="swftype_bd_1" style="display:none;">
                        <input class="form-control" id="js-file-input" type="text" name="svga" value="" style="width: 300px;display: inline-block;" title="{:lang('FILE_NAME')}">
                        <a href="javascript:uploadOne('{:lang('FILE_UPLOAD')}','#js-file-input','file');">{:lang('UPLOAD_SVGA_FILE')}</a>
                    </div>
                    
				</div>
			</div>
            
            <div class="form-group">
				<label for="input-swftime" class="col-sm-2 control-label">{:lang('ANIMATION_DURATION')}</label>
				<div class="col-md-6 col-sm-10">
					<input type="text" class="form-control" id="input-swftime" name="swftime" value="0" style="width:300px;">
                    <p class="help-block">{:lang('SECOND_PRECISION_TWO_DECIMALS')}</p>
				</div>
			</div>
			
			</div>
            
			<div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<button type="submit" class="btn btn-primary js-ajax-submit">{:lang('ADD')}</button>
					<a class="btn btn-default" href="javascript:history.back(-1);">{:lang('BACK')}</a>
				</div>
			</div>
            
		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
    <script>
        (function(){
            $('.btn-cancel-thumbnail').click(function () {
                $('#thumbnail-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail').val('');
            });
            
            $('.btn-cancel-thumbnail2').click(function () {
                $('#thumbnail2-preview').attr('src', '__TMPL__/public/assets/images/default-thumbnail.png');
                $('#thumbnail2').val('');
            });
            
            $("#type label input").on('click',function(){
                var v=$(this).val();
                if(v==0){
                    $("#mark_3").removeAttr('disabled')
                }else{
                    //if($("#mark_3").attr("checked")){
                    if($('#mark label input:checked').val()==3){
                        //$("#mark_0").removeAttr('checked');
                        $("#mark_0").attr('checked','checked');
                        $("#tips").hide();
                    }
                    $("#mark_3").attr('disabled','disabled');
                }
				
				if(v==1){
                    $("#swf_area").show();
                }else{
                    $("#swf_area").hide();
                }
            })
            
            $("#mark label input").on('change',function(){
                var v=$(this).val();
                if(v==3){
                    $("#tips").show();
                }else{
                    $("#tips").hide();
                }
            })
            
            $("#swftype label").on('click',function(){
                var v=$("input",this).val();
                var b=$("#swftype_bd_"+v);
                b.siblings().hide();
                b.show();
            })
        })()
    </script>
</body>
</html>